Subject: Re: Boot hang due to "pipe: fold file_operations instances in one" in next-20130408

From: Stephen Warren <[email-masked]>
Date: Mon, 08 Apr 2013 15:36:06 -0600

On 04/08/2013 03:22 PM, Al Viro wrote:
> On Mon, Apr 08, 2013 at 03:19:39PM -0600, Stephen Warren wrote:
>> Al,
>>
>> I'm seeing a boot hang on Tegra in next-20130408. Even sysrq on the
>> serial console doesn't work, yet I think cpuidle is still running since
>> the LED that shows CPU power is flickering.
>>
>> git bisect points at commit 9984d73 "pipe: fold file_operations
>> instances in one". Reverting
>> the-merge-of-the-branch-that-contains-this-patch from next-20130408
>> certainly solves the problem; reverting just that one patch is a bit
>> painful since it's in the middle of a bunch of other cleanup.
>>
>> Do you have any idea what might be wrong? I can't see anything obvious
>> in the patch.
> 
> What userland do you have?

It's Ubuntu 12.04.01 for ARM (armhf), with quite a few updates not
installed.